WordPress.org

Plugin Directory

Test out the new Plugin Directory and let us know what you think.

WP Featherlight - A Simple jQuery Lightbox

An ultra lightweight jQuery lightbox for WordPress images and galleries.

WP Featherlight is a WordPress lightbox plugin for adding a minimal, high-performance, responsive jQuery lightbox to your WordPress website. At its core, WP Featherlight is a WordPress plugin wrapper for the Featherlight jQuery lightbox plugin. When installed, the plugin will automatically display all standard WordPress images and galleries in a simple, minimalistic lightbox popup.

In order for WordPress images and galleries to be lightboxed, you need to select the "Media File" option when choosing where the thumbnails should link. You can also select the "Custom Link" option if you make sure to link directly to an image file. This should work for any image file, even if it's hosted on another website.

It's also possible to lightbox videos, iframes, and ajax content with WP Featherlight by adding data attributes to your content. For more details on custom content loading, check out the featherlight documentation.

There are no settings for WP Featherlight, so you should be able to install it without needing to configure anything. In the event you don't want a lightbox on certain pages or posts, there is an option to disable it from within the post editor screen.

If you find a display problem, it may be related to your theme but please open an support request about it so we can look into it. For more information about the Featherlight script itself, check out their GitHub plugin page.

Developer Notes

While there are no options in the plugin, there are some handy filters to modify the default behavior. As of 0.3.0 all images which use the default WordPress captions will also include a caption when the image is lightboxed. To disable this behavior, filter wp_featherlight_captions to false.

You can also disable inclusion of the CSS and JavaScript conditionally using filters which can be found in the /includes/class-scripts.php file. If you have questions about how any part of the plugin works, please don't hesitate to open an issue on GitHub.

Contributing

If you'd like to submit code patches or contribute in any other way, please fork the plugin on GitHub.

Requires: 4.4 or higher
Compatible up to: 4.7.3
Last Updated: 2 months ago
Active Installs: 20,000+

Ratings

4.9 out of 5 stars

Support

8 of 10 support threads in the last two months have been marked resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1 100,3,3
100,1,1
100,1,1
100,3,3
100,2,2
100,3,3
100,1,1
100,1,1
100,3,3
100,1,1
67,3,2 100,1,1
100,1,1
100,1,1